#ifndef SRC_SLIDING_BLOCK_DATA_MYGEOMETRY_HH
#define SRC_SLIDING_BLOCK_DATA_MYGEOMETRY_HH

#include <dune/common/fassign.hh>
#include <dune/common/fvector.hh>

// kludge because fieldvectors have no initialiser_list constructor,see
// https://dune-project.org/flyspray/index.php?do=details&task_id=1166
Dune::FieldVector<double, 2> generateVector(double x, double y) {
  Dune::FieldVector<double, 2> tmp;
  tmp <<= x, y;
  return tmp;
}

struct MyGeometry {
  MyGeometry() {}

  Dune::FieldVector<double, 2> A = generateVector(0, 0);
  Dune::FieldVector<double, 2> B = generateVector(5, 0);
  Dune::FieldVector<double, 2> C = generateVector(5, 1);
  Dune::FieldVector<double, 2> D = generateVector(0, 1);

  Dune::FieldVector<double, 2> zenith = generateVector(0, 1);
};

#endif
